> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除 Skill

> 删除一个 Skill。

`DELETE /api/v1/cloud/skills/{skill_id}`

删除 Skill 并返回删除确认。

## 路径参数

| 参数         | 类型     | 说明                       |
| ---------- | ------ | ------------------------ |
| `skill_id` | string | 以 `skill_` 为前缀的 Skill ID |

## 请求头

| 头部              | 必选 | 说明             |
| --------------- | -- | -------------- |
| `Authorization` | 是  | `Bearer <PAT>` |

## 示例请求

```bash theme={null}
curl -X DELETE https://api.qoder.com/api/v1/cloud/skills/skill_019e3bba474b73cfaf19eae9b5f5e66d \
  -H "Authorization: Bearer $QODER_PAT"
```

## 示例响应

**HTTP 200 OK**

```json theme={null}
{
  "id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "type": "skill_deleted"
}
```

删除成功通过响应体中的 `"type": "skill_deleted"` 标识。

## 错误码

| HTTP | type                   | 触发条件            |
| ---- | ---------------------- | --------------- |
| 401  | `authentication_error` | 缺少或无效的认证令牌      |
| 404  | `not_found_error`      | Skill 不存在或不再可访问 |

完整错误信封说明详见 [错误参考](/zh/cloud-agents/api/conventions/errors)。

## 相关

<CardGroup cols={2}>
  <Card title="Agent 技能" icon="sparkles" href="/zh/cloud-agents/skills">
    为 Agent 附加领域专业知识。
  </Card>
</CardGroup>
